| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
VideoDecoder Class Reference

The VideoDecoder class provides a basic interface for Avidemux video decoders. More...

## Public Member Functions
void | resetConfiguration ()
| Resets the video decoder back to its default configuration.

## Properties
Object | configuration
| Gets an object that holds parameters used to configure the video decoder.
String | name
| Gets the user friendly name of the video decoder.
VideoFileProperties | videoFileProperties
| Gets extended information about the video file being decoded.

## Detailed Description

The VideoDecoder class provides a basic interface for Avidemux video decoders.

## Member Function Documentation

void resetConfiguration | ( |  | ) |

Resets the video decoder back to its default configuration.

See Also
  configuration

## Property Documentation

Object configuration
| read

Gets an object that holds parameters used to configure the video decoder.

See Also
  resetConfiguration

VideoFileProperties videoFileProperties
| read

Gets extended information about the video file being decoded.

See Also
  Editor.videoFileProperties